#include "at32f403a_407.h"
#include "monitoring.h"


static uint16_t int_err[4];    // Внутренние ошибки модуля


// state == true (есть ошибка, нужно установить бит)
void mon_set_err(err_word_t word_index, err_code_t err_code, bool state)
{
    if (state)
        int_err[word_index] |= 1 << err_code;
    else
        int_err[word_index] &= ~(1 << err_code);
}



